Bug 816932 - [TestRun]Proper warning should be given when removing invalid or non-existing bugs from chosen case runs
[TestRun]Proper warning should be given when removing invalid or non-existing...
Status: ASSIGNED
Product: TCMS
Classification: Other
Component: Application (Show other bugs)
3.7.0
Unspecified Linux
medium Severity medium
: ---
: 4.0
Assigned To: Yang Ren
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 06:30 EDT by Guoping Feng
Modified: 2016-05-26 09:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Guoping Feng 2012-04-27 06:30:18 EDT
Description of problem:
In the run page, when removing invalid or non-existing bugs from chosen case runs, proper and detail warning should be given.

Version-Release number of selected component (if applicable):
tcms-stage - 3.7.0-1

How reproducible:
100%

Steps to Reproduce:
1.Enter into a run
2.Choose some case runs.
3.Click "Remove" under "Bugs".
4.Input one/some invalid/non-existing bug id(s) for the chosen case runs, then click "OK".
  
Actual results:
The page is refreshed, but actually nothing changed, for the input bug id(s) are invalid.

Expected results:
The page needn't to be refreshed, and warning should be given directly by specifying the invalid bug id(s) to make user understand that there is something wrong with the bugs they input.

Additional info:
Comment 1 jianchen 2012-05-02 04:06:14 EDT
(In reply to comment #0)
> Description of problem:
> In the run page, when removing invalid or non-existing bugs from chosen case
> runs, proper and detail warning should be given.
> 
> Version-Release number of selected component (if applicable):
> tcms-stage - 3.7.0-1
> 
> How reproducible:
> 100%
> 
> Steps to Reproduce:
> 1.Enter into a run
> 2.Choose some case runs.
> 3.Click "Remove" under "Bugs".
> 4.Input one/some invalid/non-existing bug id(s) for the chosen case runs, then
> click "OK".
> 
> Actual results:
> The page is refreshed, but actually nothing changed, for the input bug id(s)
> are invalid.
> 
> Expected results:
> The page needn't to be refreshed, and warning should be given directly by
> specifying the invalid bug id(s) to make user understand that there is
> something wrong with the bugs they input.
> 
> Additional info:
This future can't realize now, because tcms unable to fetch the bug information from Bugzilla now.

Note You need to log in before you can comment on or make changes to this bug.